package com.example.springbootdemo.controller;

import com.example.springbootdemo.entity.FootScanEntity;
import com.example.springbootdemo.service.FootScanService;
import com.example.springbootdemo.zxyTeST.sql.dao.ArmGrabRepository;
import com.example.springbootdemo.zxyTeST.sql.dao.ColorRepository;
import com.example.springbootdemo.zxyTeST.sql.entity.ArmGrabEntity;
import com.example.springbootdemo.zxyTeST.sql.entity.Color;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.dao.EmptyResultDataAccessException;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
public class HelloController {
    @Autowired
    ColorRepository colorRepository;
    @Autowired
    ArmGrabRepository armGrabRepository;
    @Autowired
    JdbcTemplate jdbcTemplate;
    @Autowired
    FootScanService footScanService;
    @RequestMapping("/hello")
    public void hello() {
        List<Color> listColors = colorRepository.findByColorId(2314);
        for (Color color:listColors) {
            System.out.println("color_name="+color.getColorName()+"    color_id="+color.getColorId());
        }
        List<ArmGrabEntity> armGrabEntityList = armGrabRepository.findByArmGrabId(1);
        for (ArmGrabEntity armGrabEntity:armGrabEntityList) {
            System.out.println("id="+armGrabEntity.getArmGrabId()+"    device_code="+armGrabEntity.getDeviceCode());
        }
    }
    @RequestMapping("/jdbc")
    public String jdbc() {
        String sql = "select color_name from wb_tbl_color where color_id = ? and color_type = ?";
        try {
            String color_name = jdbcTemplate.queryForObject(
                    sql, new Object[] { 2314, 1 }, String.class);
            return color_name;
        } catch (EmptyResultDataAccessException e) {
            return "hha我snull";
        }

    }
    @RequestMapping("mybatis")
    public List<FootScanEntity> getById(@RequestParam("foot_scan_id") Long foot_scan_id) {
        return footScanService.getFootScanById(foot_scan_id);

    }


}

